<template>
  <div class="hintbox" v-if="confirms.show">
    <div class="hintboxBG">
      <div class="hintboxCT">
        <div class="text">{{confirms.text}}</div>
        <div class="btn" >
          <p class="cancel" @click.stop.prevent="clickfunction('cancel')">取消</p>
          <p class="confirm" @click.stop.prevent="clickfunction('confirm')">确定</p>
        </div>
      </div>
    </div>
    <div class="background"></div>
  </div>
</template>

<script type="text/ecmascript-6">
  export default {
    props: {
      confirms: {
        default() {
          return {
            show: false,
            text: '系统出错,请稍后重试或联系服务商',
          }
        }
      }
    },
    methods: {
      clickfunction(text) {
        if(text ==='cancel'){
          this.$emit('cancel', this.confirms.text)
        }else{
          this.$emit('confirm', this.confirms.text)
        }
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
  .hintboxBG {
    position: fixed;
    z-index: 1001;
    top: 4rem;
    left: 0.95rem;
    width: 5.6rem;
  }

  .hintboxCT {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
  }

  .hintbox .text, .hintbox .btn {
    position: relative;
    background-color: #333;
    z-index: 1001;
  }

  .hintbox .text {
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0rem;
    word-break: break-all;
    width: 100%;
    min-height: 1.64rem;
    max-height: 6.5rem;
    overflow-y: scroll;
    padding: 0.2rem;
    color: #fff;
    font-size: 0.32rem;
    line-height: .40rem;
    letter-spacing: 0.01rem;
    box-sizing: border-box;
    border-radius: 0.1rem 0.1rem 0 0;
  }

  .hintbox .btn {
    border-top: 1px solid #4c4c4c;
    width: 100%;
    height: 1rem;
    text-align: center;
    line-height: 1rem;
    font-size: 0.36rem;
    color: #C98E52;
    border-radius: 0 0 0.1rem 0.1rem;
    display: flex;
    p{
      flex: 1;
    }
    .cancel{
      color: #fff;
      border-right: 1px solid #4c4c4c;
    }
  }

  .background {
    z-index: 1000;
    background-color: #000;
    opacity: 0.4;
  }
</style>
